var APIBase = require("../../api.base");
var system = require("../../../system");
class AccessAuthAPI extends APIBase {
    constructor() {
        super();
        this.utilsAuthSve = system.getObject("service.utilsSve.utilsAuthSve");
    }
    /**
          * 接口跳转-POST请求
          * action_process  执行的流程
          * action_type     执行的类型
          * action_body     执行的参数
          */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionProcess) {
            return system.getResult(null, "actionProcess参数不能为空");
        }
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = system.getResult(null, "req Failure");
        pobj.actionBody.userpin = this.getUUID();
        switch (action_type) {
            // sy
            case "test"://测试
                opResult = system.getResultSuccess(null, "测试成功");
                break;
            case "getVerifyCode":
                opResult = await this.utilsAuthSve.getVerifyCodeByMoblie(pobj, pobj.actionBody);
                if (opResult.status == 0) {
                    return system.getResultSuccess()
                }
                break;
            case "loginUserByChannelUserId":
                opResult = await this.utilsAuthSve.loginUserByChannelUserId(pobj, pobj.actionBody);
                if (opResult.status == 0) {
                    return system.getResultSuccess({ userpin: pobj.actionBody.userpin })
                }
                break;
            case "userPinByLgoin":
                opResult = await this.utilsAuthSve.getReqUserPinByLgoin(pobj, pobj.actionBody);
                if (opResult.status == 0) {
                    return system.getResultSuccess({ userpin: pobj.actionBody.userpin })
                }
                break;
            case "userPinByLgoinVcode":
                pobj.actionBody.reqType = "login";
                opResult = await this.utilsAuthSve.getReqUserPinByLgoinVcode(pobj, pobj.actionBody);
                if (opResult.status == 0) {
                    return system.getResultSuccess({ userpin: pobj.actionBody.userpin })
                }
                break;
            case "userPinByRegister":
                pobj.actionBody.reqType = "reg";
                opResult = await this.utilsAuthSve.getReqUserPinByLgoinVcode(pobj, pobj.actionBody);
                if (opResult.status == 0) {
                    return system.getResultSuccess({ userpin: pobj.actionBody.userpin })
                }
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }


    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      */
    async getAppTokenByHosts(pobj, qobj, req) {
        var token = this.getUUID();
        var opResult = await this.utilsAuthSve.getReqTokenByHosts(pobj.actionBody.app_hosts, token);
        if (opResult.status != 0) {
            return opResult;
        }
        return system.getResultSuccess({ token: token })
    }
}
module.exports = AccessAuthAPI;