var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class PaymentAPI extends APIBase {
    constructor() {
        super();
        this.execlient = system.getObject("util.execClient");
        this.centerAppUrl = settings.centerAppUrl();
    }

    /**
     * 接口跳转-POST请求
     * actionProcess  执行的流程
     * actionType     执行的类型
     * actionBody     执行的参数
     */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionProcess) {
            return system.getResult(null, "actionProcess参数不能为空");
        }
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, pobj.actionBody, req);
        return result;
    }
    async opActionProcess(pobj, action_type, action_body, req) {
        var opResult = null;
        var url = "";
        switch (action_type) {
            // sy
            case "getQrCode"://pc端订单支付二维码生成
                url = this.centerAppUrl + "payment/paymentApi/getQrCode";

                break;
            case "queryOrder"://通联支付查询
                url = this.centerAppUrl + "payment/paymentApi/queryOrder";
                break;
            case "receiveCallBackNotify"://通联支付查询
                url = this.centerAppUrl + "payment/paymentApi/receiveCallBackNotify";
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        if (url) {
            opResult = system.getResultSuccess(null, "action_type参数错误");
        }
        var opResultstr = await this.execlient.execPost(pobj, url);
        opResult = JSON.parse(opResultstr.stdout)
        return opResult;
    }
}
module.exports = PaymentAPI;