var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");
const logCtl = system.getObject("service.common.oplogSve");
//商标查询操作
class UtilsAuthSve extends AppServiceBase {
  constructor() {
    super();
  }
  async loginUserByChannelUserId(pobj, actionBody) {
    var opResult = null;
    switch (pobj.actionProcess) {
      case "gsbhome":
        opResult = await this.getDefaultUserInfo(pobj, actionBody);
        break;
      default:
        opResult = system.getResult(null, "action_process参数错误");
        break;
    }
    return opResult;
  }
  async getDefaultUserInfo(pobj, actionBody) {
    if (!actionBody.channelUserId) {
      return system.getResult(null, "actionBody.channelUserId can not be empty");
    }
    var result = await this.cacheManager["AppUserPinByChannelUserId"].cache(actionBody.userpin, pobj, system.exTime);
    return result;
  }

  //---------------登录-----------------------------------------------------

  async getReqTokenByHosts(appHosts, tokenValue) { //获取token
    if (!appHosts) {
      return system.getResult(null, "appHosts can not be empty");
    }
    var result = await this.cacheManager["AppTokenByHostsCache"].cache(tokenValue, appHosts, system.exTime);
    return result;
  }
  async getVerifyCodeByMoblie(pobj, actionBody) {
    if (!actionBody.mobile) {
      return system.getResult(null, "actionBody.mobile can not be empty ！");
    }
    var acckapp = await this.restClient.execPost(pobj, settings.centerAppUrl() + "auth/accessAuth/getVerifyCodeByMoblie");
    var result = acckapp.stdout;
    if (result) {
      var tmp = JSON.parse(result);
      return tmp;
    }
    return system.getResult(null, "data is empty");
  }
  async getReqUserPinByLgoin(pobj, actionBody) {
    if (!actionBody.userName) {
      return system.getResult(null, "actionBody.userName can not be empty");
    }
    if (!actionBody.password) {
      return system.getResult(null, "actionBody.password can not be empty");
    }
    var result = await this.cacheManager["AppUserPinByLoginPwdCache"].cache(actionBody.userpin, pobj, system.exTime);
    return result;
  }
  async getReqUserPinByLgoinVcode(pobj, actionBody) {
    if (!actionBody.mobile) {
      return system.getResult(null, "actionBody.mobile can not be empty");
    }
    if (!actionBody.vcode) {
      return system.getResult(null, "actionBody.vcode can not be empty");
    }
    if (actionBody.reqType == "reg") {
      if (!actionBody.password) {
        return system.getResult(null, "actionBody.password can not be empty");
      }
    }
    var result = await this.cacheManager["AppUserPinByLoginVcodeCache"].cache(actionBody.userpin, pobj, system.exTime);
    return result;
  }

}
module.exports = UtilsAuthSve;
